Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Language IDEs » PHP Development Tools (PDT) » XAMPP to run PHP Scripts - which version?
XAMPP to run PHP Scripts - which version? [message #1733668] Mon, 30 May 2016 22:22 Go to next message
Arthur Chan is currently offline Arthur ChanFriend
Messages: 44
Registered: September 2015
Member
After trying unsuccessfully to test run PHP scripts in Eclipse-PDT, I figured I need to download XAMPP.

Problem is, I run 64-bit Windows 7, 64 bit everything, but XAMPP is only available in 32bits download for Windows 7.

Does anyone know where I can download a 64 bit XAMPP for Windows 7?
Re: XAMPP to run PHP Scripts - which version? [message #1733670 is a reply to message #1733668] Mon, 30 May 2016 22:38 Go to previous messageGo to next message
Dawid Pakula is currently offline Dawid PakulaFriend
Messages: 207
Registered: March 2013
Senior Member
You can debug 32bit php with 64bit eclipse. They communicate via xml protocol.

Re: XAMPP to run PHP Scripts - which version? [message #1733672 is a reply to message #1733670] Mon, 30 May 2016 22:53 Go to previous messageGo to next message
Arthur Chan is currently offline Arthur ChanFriend
Messages: 44
Registered: September 2015
Member
Hi and thanks.

I want to run the .php scripts on Windows7 localhost, not just debug it. It is disappointing that Eclipse Mars PDT does not have an integrated runtime environment for .php

I knew I could do that using XAMPP but I wanted to try out Eclipse PDT.

I've found a n XAMPP 64-bit download:
https://sourceforge.net/directory/os:windows/?q=xampp%2064%20bit
Re: XAMPP to run PHP Scripts - which version? [message #1733674 is a reply to message #1733672] Mon, 30 May 2016 23:18 Go to previous message
Dawid Pakula is currently offline Dawid PakulaFriend
Messages: 207
Registered: March 2013
Senior Member
PDT cannot be bundled with PHP runtimes due license problems.

You off course can use php from xamp, or any other, for example from here: http://windows.php.net/download/

Next register php.exe in eclipse preferences, if you want be able to run CLI scripts.

For standard (web), you need apache/nginx or just buit-in php web server. Just run php.exe - S 127.0.0:8080 -t page_dir Wink


Previous Topic:Set up RUN Configuration - How?
Next Topic:Emulate MySql data base in Eclipse PHP Project
Goto Forum:
  


Current Time: Tue Jan 23 04:01:06 GMT 2018

Powered by FUDForum. Page generated in 0.02061 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software